package com.bocloud.cmp.model.fusionsphere.sync;

import com.bocloud.cmp.model.*;
import com.bocloud.cmp.model.fusionsphere.FusionSphereOsVersionModel;
import com.bocloud.cmp.model.fusionsphere.StorageDeviceModel;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: FusionSpHereSyncModel
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/10/15 15:03
 */
@Data
public class FusionSphereSyncModel {

    private List<VDCModel> vdcModels = new ArrayList<>();
    private List<ClusterModel> clusterModels = new ArrayList<>();
    private List<HostModel> hostModels = new ArrayList<>();
    private List<ServerModel> serverModels = new ArrayList<>();

    private List<StorageDeviceModel> storageDeviceModels = new ArrayList<>();
    private List<DataStoreModel> dataStoreModels = new ArrayList<>();
    private List<VolumeModel> volumeModels = new ArrayList<>();

    private List<SecurityGroupModel> securityGroupModels = new ArrayList<>();
    private List<SwitchModel> switchModels = new ArrayList<>();

    private List<FusionSphereOsVersionModel> osVersionModels = new ArrayList<>();

}